Bug 112421 - gcc-gnat compiled programs doesn't run at all.
gcc-gnat compiled programs doesn't run at all.
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-12-19 09:42 EST by Victor Pablos Ceruelo
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 16:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Victor Pablos Ceruelo 2003-12-19 09:42:59 EST
Description of problem:

Ada programs compiled with gcc-gnat doesn't run.

Version-Release number of selected component (if applicable):

 gcc 3.2 (Comes with distribution)

How reproducible:

Making an executable and trying to run it.

Steps to Reproduce:
1. Select ada program source code.
2. Compile it with gnatmake.
3. Try to run it.
Actual results:

 It simple hangs.

Expected results:

 It depends on program.

Additional info:

Comment 1 Jakub Jelinek 2003-12-22 19:29:30 EST
I think you need to be more specific on what exactly doesn't work.
gcc-gnat can certainly compile properly lots of programs, including
Ada itself (Ada is built that way, if the installed gcc-gnat did not
work, it would be impossible to build any GCC rpms).
Comment 2 Jakub Jelinek 2004-10-03 16:28:44 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.